Skip to main content
POST
Create Carrier Invoice Document

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.

Path Parameters

carrierInvoiceId
string
required

"carrierInvoiceId" is required (enter it either in parameters or request body)

Body

application/json

Query parameters can also be provided in the request body as a JSON object

carrierInvoiceId
string

Upwell identifier of the associated carrier invoice. Use an ID returned by the API.

input
CreateCarrierInvoiceDocumentInput Ā· object

Object containing the fields to create or update. Only the fields in this endpoint schema are accepted.

Response

Responses for POST /api/rest/carrier_invoices/{carrierInvoiceId}/documents

createCarrierInvoiceDocument
CarrierInvoiceDocument Ā· object

Create carrier invoice document. See the schema for its JSON type and allowed values.